Subject: Re: mmotm 2014-04-24-13-07 uploaded

From: Rik van Riel <[email-masked]>
Date: Fri, 25 Apr 2014 07:37:17 -0400

On 04/24/2014 10:49 PM, Paul E. McKenney wrote:
> On Thu, Apr 24, 2014 at 03:40:29PM -0700, Randy Dunlap wrote:
>> On 04/24/14 13:08, [email-masked] wrote:
>>> The mm-of-the-moment snapshot 2014-04-24-13-07 has been uploaded to
>>>
>>>    http://www.ozlabs.org/~akpm/mmotm/
>>>
>>> mmotm-readme.txt says
>>>
>>> README for mm-of-the-moment:
>>>
>>> http://www.ozlabs.org/~akpm/mmotm/
>>>
>>> This is a snapshot of my -mm patch queue.  Uploaded at random hopefully
>>> more than once a week.
>>>
>>> You will need quilt to apply these patches to the latest Linus release (3.x
>>> or 3.x-rcY).  The series file is in broken-out.tar.gz and is duplicated in
>>> http://ozlabs.org/~akpm/mmotm/series
>>>
>>
>> uml on x86_64 defconfig:
>>
>> drivers/built-in.o: In function `__handle_sysrq':
>> drivers/tty/sysrq.c:514: undefined reference to `rcu_sysrq_start'
>> drivers/tty/sysrq.c:558: undefined reference to `rcu_sysrq_end'
> 
> Hmmm...  Looks like Rik's patch needs declarations in rcupdate.h.
> Not sure how I missed that...  :-/

There are declarations.  I seem to have misplaced them under some
#ifdef though...

I'll send Andrew a -fix patch, that addresses both this issue and
Jiri's concern.

-- 
All rights reversed